namespace PkmnLib.Plugin.Gen7.Scripts.Abilities;

/// <summary>
/// Strong Jaw is an ability that boosts the power of biting moves.
///
/// <see href="https://bulbapedia.bulbagarden.net/wiki/Strong_Jaw_(Ability)">Bulbapedia - Strong Jaw</see>
/// </summary>
[Script(ScriptCategory.Ability, "strong_jaw")]
public class StrongJaw : Script, IScriptChangeBasePower
{
    /// <inheritdoc />
    public void ChangeBasePower(IExecutingMove move, IPokemon target, byte hit, ref ushort basePower)
    {
        if (move.UseMove.HasFlag(MoveFlags.Bite))
        {
            basePower = basePower.MultiplyOrMax(1.5f);
        }
    }
}